/*
 * SolitaryActionController.cpp
 *
 *  Created on: 2 May 2017
 *      Author: lenka
 */

#include <stdint.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <iostream>

#include <constants.h>
#include <Vector2D.h>

#include "SolitaryActionController.h"

SolitaryActionController::SolitaryActionController(Robot* robot_, PathPlanner* pathPlanner_, EPuckBoardController* epuckBoardController_) :
	BaseActionController(robot_,pathPlanner_,epuckBoardController_) {

	std::cout << "Solitary action controller created" << std::endl;

}

SolitaryActionController::~SolitaryActionController() {

}

BaseActionController::STATE SolitaryActionController::ProcessCurrentState(uint64_t timeStamp_) {

	return BaseActionController::ProcessCurrentState(timeStamp_);

	/*currentNavigationVector->x = ROBOT_MAX_SPEED;
	currentNavigationVector->y = ROBOT_MAX_SPEED;

	BaseActionController::SendReportsToServer();

	return BaseActionController::STATE_SCOUTING;*/
}
